Subject: bug#14411: 24.3.50; compile.el: Better file search for parallel builds

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 18 Sep 2020 16:35:50 +0200

Eli Zaretskii <[email-masked]> writes:

> I think this problem should be fixed in GNU Make.  And, lo and behold,
> the next release of GNU Make will have a switch that will prevent the
> directories from being mixed.  Perhaps it would be better to teach
> compile.el to detect support for that switch (-O or --output-sync) and
> use it if available when -j is also used, than to kludge around the
> current behavior.

Well, we could just say that it's up to people to type -Oj instead of
just -j...

On the other hand, David's patch seems to fix this stuff automatically,
so my preference would be to just drop the defcustom and do the search,
anyway -- it's only done if we can't find the file name otherwise, so it
should only help, and never (?) hurt?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no